# &app; Manual

Use &app; to view image files. &app; provides the following features:

&app; is a configurable user interface used to manage any kind of emu‐ lated system (Video game console, Arcade, Pc) also let you catalog and launch any game’s emulator under Gnu/Linux.

It support a wide range of systems and a wide range of emulators driven by console parameters and have some of them preconfigured.

Gelide is a free project licensed under the GNU General Public License and is written in C++ using Gtkmm libraries.

2006
GNOME Documentation Project
GNOME Documentation Project
Documentation
Writer 2
GNOME Documentation Project
Documentation
Writer 1
GNOME Documentation Project
MY-GNOME-APPLICATION Manual V&manrevision;
&date;

Documentation Writer 2

GNOME Documentation Project

Full title of previous manual.
Release date of previous manual.

Documentation Writer 1

GNOME Documentation Project

This manual describes version &appversion; of MY-GNOME-APPLICATION.

## Feedback

To report a bug or make a suggestion regarding the &app; application or this manual, follow the directions in the Feedback section of the GNOME User Guide.

## Introduction

This is a Test document. Nothing of its contents is from the Gelide project.

- Support for the following image file formats:

  - BMP - Windows Bitmap

  - GIF - Graphics Interchange Format

  - ICO - Windows Icon

  - JPEG - Joint Photographic Experts Group

  - PNG - Portable Network Graphics

  - PNM - Portable Anymap from the PPM Toolkit

  - RAS - Sun Raster

  - TIFF - Tagged Image File Format

  - XPM - X Pixmap

- A variety of zoom levels and full screen viewing, with low usage of memory regardless of the zoom level.

This is a note.

## Getting Started

### Starting &app;

You can start &app; in the following ways:

Applications menu

  Choose Submenu Name My-GNOME-APPLICATION .

Command line

  To start &app; from a command line, type the following command, then press Return:

  `myapp` filename.jpg

  where filename.jpg is the name of the file you want to open.

  &app; opens each file that you specify in a new window.

### When You Start &app;

When you start &app;, the following window is displayed.

#### &app; Start Up Window

Shows &app; main window. Contains titlebar, menubar, toolbar, display area, and scrollbars. Menubar contains File, View, Settings, and Help menus.

The &app; window contains the following elements:

Menubar.

  The menus on the menubar contain all of the commands you need to work with files in &app;.

Toolbar.

  The toolbar contains a subset of the commands that you can access from the menubar.

Statusbar.

  The statusbar displays information about current &app; activity and contextual information about the menu items.

## Usage

You can use the &app; application to perform the following tasks:

### Opening an Image

To open an image, choose File Open Image . The Open Image dialog is displayed. Select the file that you want to open, then click OK. To open another image in a new window, choose File Create New Window . Choose File Open Image to select the file that you want to open. You can also drag an image from another application such as a file manager to the &app; window. If the &app; window is empty, the application displays the image in the window. If the window is not empty, the application starts a new window to display the file. The application displays the name of the image file and the size of the image in pixels in the titlebar of the window.

If you try to open an image file format that &app; does not recognize, the application displays an error message.

This is a caution.

### Manipulating the View of an Image

You can use the following methods to resize the view of an image in the &app; window:

- To enlarge the view of an image, choose View Zoom In .

- To shrink the view of an image, choose View Zoom Out .

- To view the image at its actual size, choose View Zoom 1:1 .

- To enlarge or shrink the view of an image so that the image fits the &app; window, choose View Fit to Window .

- To enlarge or shrink the image to a specific zoom factor, choose View Zoom factor , then choose the appropriate zoom factor from the drop-down list.

- To display the image in full screen mode, choose View Full Screen . Full screen mode displays the image in a window that fills the full screen. The window does not contain a window frame, titlebar, menubar, or toolbar. To exit from this mode, press the Esc key or Ctrl W .

This is a tip.

### Scrolling an Image

To scroll around an image that is larger than the image window or full screen window, you can use the following methods:

- Use the arrow keys on the keyboard.

- Drag the image in the opposite direction to the direction in which you want to scroll. For example, if you want to scroll down the image, drag the image upwards in the window.

- Use the scrollbars on the window.

### Closing an Image

To close an image, choose File Close This Window . If the window is the last &app; window open, the application exits.

To quit &app; and close all of the windows that you opened in the current session, choose File Exit .

This is a warning.

## Preferences

To configure &app;, choose Edit Preferences . The Preferences dialog contains the following tabbed sections:

### Display

Interpolation type

  Use this drop-down list box to specify the interpolation method that &app; uses when the application resizes images. Select one of the following options:

  - Nearest neighbor

    This method of interpolation takes a location in the original image and replicates the pixel that is nearest to this location. When you zoom in on an image, the pixels are replicated. When you zoom out of an image, the image loses some of its detail.

  - Bilinear

    This is a simple and fast method of interpolation. When you zoom in on an image, &app; uses up to four adjacent pixels to compute the colors of the new pixels. When you zoom out of an image, &app; averages regions of color in the existing image to compute the colors of the pixels.

  - Hyperbolic

    This is a high-quality, slow method of interpolation. The application performs interpolation on the image in the manner described in Digital Image Warping by George Wolberg.

  Default: Nearest neighbor.

Transparency type

  Use this drop-down list box to specify how &app; displays transparent or partially opaque backgrounds in images. Select one of the following options:

  - Dark checks

    This option displays black and dark gray checks.

  - Midtone checks

    This option displays dark gray and light gray checks.

  - Light checks

    This option displays light gray and white checks.

  - Black only

    This option displays solid black.

  - Gray only

    This option displays solid gray.

  - White only

    This option displays solid white.

  Default: Dark checks.

Check size

  Use this drop-down list box to specify the size of the checks to use to display transparent or partially opaque backgrounds in images. This option is only relevant if you choose Dark checks, Midtone checks, or Light checks from the Transparency type drop-down list box. Select one of the following options:

  - Small

  - Medium

  - Large

  Default: Small.

Dither type

  Use this drop-down list box to specify the dithering method to use to display images. Dithering is a technique that is used to simulate colors in the original image file but that your system can not display. Select one of the following options:

  - None

    This option does not use dithering.

  - Normal (pseudocolor)

    This option performs dithering on pseudocolor displays, which use a limited palette of colors.

  - Maximum (high color)

    This option performs dithering on pseudocolor and high color displays.

  Default: None.

Two-pass scrolling

  Select this option to render an image in two passes when you scroll the image quickly. The first pass renders a low quality version of the image. The second pass renders a full quality version of the image over the low quality version. Two-pass scrolling enables you to view at least a low quality version of the image at all times regardless of how quickly you scroll the image.

  Default: unselected.

### Viewers

You can set the following viewer preferences:

#### Image Windows

The Image Windows group contains the preferences that you can set to view images in image windows.

Use scrollbars

  Use this drop-down list box to specify when to use scrollbars to scroll through an image. Select one of the following options:

  - Never

    This option never displays scrollbars. You can use the arrow keys on the keyboard or the mouse to scroll through the image.

  - Only if image does not fit

    This option displays scrollbars when the image is larger than the image window.

  Default: Never.

Pick window size and zoom factor automatically

  Select this option to resize the image window to fit the image or to resize the image to fit the image window. If the image is small, &app; resizes the image window to fit the image. If the image is large, &app; resizes the image to fit the image window.

  Default: unselected.

Open images in a new window

  Select this option to open a new &app; window each time you open an image. If you do not select this option, &app; replaces the existing image with the new image when you open an image.

  Default: unselected.

#### Full Screen

The Full Screen group contains the preferences that you can set to view images in full screen mode.

Use scrollbars

  Use this drop-down list box to specify when to use scrollbars to scroll through an image. Select one of the following options:

  - Never

    This option never displays scrollbars. You can use the arrow keys on the keyboard or the mouse to scroll through the image.

  - Only if image does not fit

    This option displays scrollbars when the image is larger than the full screen.

  Default: Never.

Use 1:1 zoom factor

  Select this option to use the 1:1 zoom factor when you open an image. The 1:1 zoom factor displays the image at its actual size.

  Default: selected.

Use same zoom factor as image window

  Select this option to use the same zoom factor that the application uses to display the image in an image window.

  Default: unselected.

Fit all images to screen

  Select this option to resize images to fill the full screen when you open the images in full screen mode.

  Default: unselected.

Fit standard-sized images to screen

  Select this option to automatically resize images that are the same size as standard screens so that the images fill the full screen when you open them in full screen mode. If you select this option, &app; ignores the settings for the previous three options when you open an image that is the same size as a standard screen. Examples of standard screen sizes are 640 x 480 pixels, 1024 x 768 pixels, and so on.

  Default: unselected.

Put a bevel around the edge of the screen

  Select this option to display a 3D beveled border around the full screen view of an image.

  Default: unselected.

## About &app;

&app; was written by GNOME-HACKER (hacker@gnome.org). To find more information about &app;, please visit the MY-GNOME-APP Web page.

To report a bug or make a suggestion regarding this application or this manual, follow the directions in the Feedback section of the GNOME User Guide.

This program is distributed under the terms of the GNU General Public license as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. A copy of this license is included with this documentation; another can be found in the file COPYING included with the source code of this program.